<?php
namespace Claromentis\Core\Ai\Adapters\Vertex\Responses\Image;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_f3cd33ffc40bfb37206" . "b0dcff170cc96" => base64_decode("RXJyb3IgaGFuZGxpbmcgaW1hZ2UgZ2VuZXJhdGlvbiB" . "yZXNwb25zZTog"), "_e15567441c24cf597f0856" . "89c722c660" => base64_decode("bWl" . "tZV" . "R5c" . "GU="), "_72849b91eda4dfd944fd8067caf54eb" . "2" => base64_decode("Tm8gaW1hZ2VzIHJlY2VpdmVkIGZyb20" . "gQUkgc2VydmljZQ=="), "_c36d11e" . "c61d5490" . "64ca5997" . "745729b1" . "c" => base64_decode("cHJlZGljdGlv" . "bnM="), "_9338add06febdd668e80234d1c857b0" . "c" => base64_decode("SW52YWxpZCBpbWFnZSByZWNlaXZlZCBmcm9tIEFJIH" . "NlcnZpY2U="), "_8b39dd032747" . "20b4ed9a06cd9" . "30f29cc" => base64_decode("Ynl0ZXNCYXNlNjR" . "FbmNvZGVk"));
use Claromentis\Core\Ai\Adapters\Vertex\Requests\Image\VertexAiImageGenerationConfig;
use Claromentis\Core\Ai\AiResponseInterface;
use Claromentis\Core\Ai\Exceptions\AiInvalidResponseException;
use Claromentis\Core\Ai\Parts\FilePart;
use Claromentis\Core\Ai\Parts\PartInterface;
use Webmozart\Assert\Assert;






class VertexAiGenerateImageResponse implements AiResponseInterface
{
    
    
    
    
    
    
    private array $parts;
    
    
    
    
    public function __construct(array $_9961f986823b4be7f5c4cc8379c6b228)
    {
        Assert::allIsInstanceOf($_9961f986823b4be7f5c4cc8379c6b228, FilePart::class);
        foreach ($_9961f986823b4be7f5c4cc8379c6b228 as $_d962cfd1735adb2dfba46f69c7f15cb8) {
            if (!$_d962cfd1735adb2dfba46f69c7f15cb8->isImage()) {
                throw new AiInvalidResponseException($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_9338add06febdd668e80234d1c" . "857b0c"]);
            }
        }
        $this->parts = $_9961f986823b4be7f5c4cc8379c6b228;
    }
    
    
    
    
    
    
    
    
    
    public static function fromArray(array $_fd62bc4eaaf7d58dea9bada3e30443b9) : self
    {
        
        
        
        if (empty($_fd62bc4eaaf7d58dea9bada3e30443b9) || empty($_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_c36d11ec61" . "d549064ca59" . "97745729b1c"]])) {
            throw new AiInvalidResponseException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_72849b9" . "1eda4dfd" . "944fd806" . "7caf54eb" . "2"]);
        }
        $_9961f986823b4be7f5c4cc8379c6b228 = [];
        foreach ($_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c36d11ec61d549064" . "ca5997745729b1c"]] as $_c60329b6b53016ba8929aff2f19abcc6) {
            if (empty($_c60329b6b53016ba8929aff2f19abcc6[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_8b39dd03274720" . "b4ed9a06cd930f2" . "9cc"]])) {
                
                
                continue;
            }
            try {
                $_31958d0b40348d4ca7900c41684e4adc = new FilePart($_c60329b6b53016ba8929aff2f19abcc6[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_8b39dd0327472" . "0b4ed9a06cd930" . "f29cc"]], $_c60329b6b53016ba8929aff2f19abcc6[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e15567441c24cf5" . "97f085689c722c66" . "0"]] ?? VertexAiImageGenerationConfig::DEFAULT_MIME_TYPE, PartInterface::PART_ROLE_MODEL);
            } catch (\Throwable $_3a16c5fe1a78b54b69e204ec07dcf670) {
                throw new AiInvalidResponseException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_f3cd33ffc40bfb37206b0dcff17" . "0cc96"] . $_3a16c5fe1a78b54b69e204ec07dcf670->getMessage(), $_3a16c5fe1a78b54b69e204ec07dcf670->getCode(), $_3a16c5fe1a78b54b69e204ec07dcf670);
            }
            $_9961f986823b4be7f5c4cc8379c6b228[] = $_31958d0b40348d4ca7900c41684e4adc;
        }
        return new self($_9961f986823b4be7f5c4cc8379c6b228);
    }
    public function hasTerminated() : bool
    {
        return false;
    }
    public function getParts() : array
    {
        return $this->parts;
    }
    
    
    
    
    
    
    public function getGeneratedImages() : array
    {
        return $this->parts;
    }
}